function finishCustomMsg(message, finalTime, postMsg)
    finalTime = finalTime['finalTime']
    postMsg = postMsg or ''
    local minutes = math.floor(finalTime / 60);
    local seconds = finalTime - (minutes * 60);
    local timeStr = ''
    if minutes > 0 then
        timeStr = string.format("%02.0f:%05.2f", minutes, seconds)
    else
        timeStr = string.format("%0.2f", seconds) .. ' secs'
    end
    local result = {msg = message..timeStr..postMsg}

    scenarios.finish(result)
end

return finishCustomMsg